import React from 'react';
import { ImpactEnum, ImpactValueEnum } from '../../constants/impactConstants';
interface ITrendImpactValue {
    value: number;
    unit?: string;
}
declare type TrendImpactsType = Record<ImpactValueEnum, ITrendImpactValue>;
declare type ImpactsType = Record<ImpactValueEnum, number>;
export interface IImpactStatsProps extends Omit<React.ComponentPropsWithoutRef<'div'>, 'onSelect'> {
    autoScale?: boolean;
    impacts: ImpactsType;
    nextImpacts?: ImpactsType;
    trend?: TrendImpactsType;
    locale?: string;
    onSelect?: (impactType: ImpactEnum) => void;
    selected?: ImpactEnum;
    significantDigits?: number;
    useLocale?: boolean;
}
export declare function ImpactStats({ autoScale, className, impacts, locale, nextImpacts, onSelect, selected, significantDigits, trend, useLocale, }: IImpactStatsProps): JSX.Element;
export {};
//# sourceMappingURL=ImpactStats.d.ts.map